#
# spec file for package ocaml-ocamlbuild
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           ocaml-ocamlbuild
Version:        0.9.2
Release:        2.2
%{ocaml_preserve_bytecode}
License:        LGPL-2.0
Summary:        Generic build tool for building OCaml library and programs
Url:            https://github.com/ocaml/ocamlbuild
Group:          Development/Libraries/Other
Source:         %{name}-%{version}.tar.xz
Conflicts:      ocaml < 4.03.0
BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-runtime
BuildRequires:  ocaml-rpm-macros >= 4.02.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# ocaml autodep start for pkg: ocaml-ocamlbuild
# hardcoded rpm dependency for pre 12.1 to compensate for lack of ocaml() provides/requires
%if 0%{?suse_version} < 1210
Requires:       ocaml-runtime
%endif
# ocaml autodep end for pkg: ocaml-ocamlbuild

%description
OCamlbuild is a generic build tool, that has built-in rules for
building OCaml library and programs.

OCamlbuild was distributed as part of the OCaml distribution for
OCaml versions between 3.10.0 and 4.02.3. Starting from OCaml
4.03, it is now released separately.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       ocamlfind(unix)
Provides:       ocamlfind(ocamlbuild)

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocamlbuild-%{version}

%build
tee %{name}.sh <<'_EOF_'
set -x
exec \
make \
PREFIX=%{_prefix} \
%if %{ocaml_native_compiler}
OCAML_NATIVE_TOOLS=true \
OCAML_NATIVE=true \
%else
OCAML_NATIVE_TOOLS=false \
OCAML_NATIVE=false \
%endif
"$@"
_EOF_
sh %{name}.sh -f configure.make
sh %{name}.sh configure
sh %{name}.sh %{?_smp_mflags}

%install
sh %{name}.sh \
install \
DESTDIR=%{buildroot} %{?_smp_mflags}
find %{buildroot} -ls

%files
%defattr(-,root,root)
%doc Changes  LICENSE
%{_bindir}/*
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%{_libdir}/ocaml/*/*.cma
%{_libdir}/ocaml/*/*.cmi
%{_libdir}/ocaml/*/*.cmo

%files devel
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%if %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.o
%endif
%{_libdir}/ocaml/*/*.mli
%{_libdir}/ocaml/*/META
%changelog
* Wed May 18 2016 ohering@suse.de
- Initial version 0.9.2 (fate#320836)
  Separate project after ocaml-4.03
